unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdActns, ActnList, Menus, StdCtrls, ExtCtrls, ComCtrls, RXShell,
  Placemnt, AppEvent, StrHlder, Buttons, Andi;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    ActionList1: TActionList;
    EditCopy1: TEditCopy;
    EditCut1: TEditCut;
    EditPaste1: TEditPaste;
    EditSelectAll1: TEditSelectAll;
    EditUndo1: TEditUndo;
    Minimize: TAction;
    PopupMenu1: TPopupMenu;
    Undo2: TMenuItem;
    N4: TMenuItem;
    Cut2: TMenuItem;
    Copy2: TMenuItem;
    Paste2: TMenuItem;
    N5: TMenuItem;
    SelectAll2: TMenuItem;
    Panel1: TPanel;
    Button1: TButton;
    RxTrayIcon1: TRxTrayIcon;
    Close: TAction;
    Restore: TAction;
    PopupMenu2: TPopupMenu;
    Restore1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    FormPlacement1: TFormPlacement;
    Button2: TButton;
    PopupMenu3: TPopupMenu;
    Minimize1: TMenuItem;
    Exit2: TMenuItem;
    Memo2: TMemo;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Label1: TLabel;
    procedure MinimizeExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure HideTaskbar(sender:tobject);
    procedure FormCreate(Sender: TObject);
    procedure RestoreExecute(Sender: TObject);
    procedure RxTrayIcon1Click(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Memo1Change(Sender: TObject);
    procedure CloseExecute(Sender: TObject);
    procedure beenden;
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  myfilename:string;
  myext:string;


implementation

{$R *.DFM}

procedure TForm1.MinimizeExecute(Sender: TObject);
begin
  memo1.Visible:=true;
  memo2.Visible:=false;
  Memo1.SetFocus;
  RestoreExecute(Sender);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  HideTaskbar(Sender);

end;

procedure TForm1.beenden();
begin
  Memo1.Lines.SaveToFile(myfilename+myext);
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  beenden;
end;

procedure Tform1.HideTaskbar(sender:tobject);
begin
  ShowWindow(Application.Handle,SW_HIDE);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  label1.Caption:= 'Version '+FileVersion;
  myfilename:= extractfilepath(application.exename)+'TaskNote';   {globale variable}
  myext:='.txt';
  if FileExists(myfilename+myext) then Memo1.Lines.LoadFromFile(myfilename+myext);
  Memo1.Selstart:=length(Memo1.Text);
end;


procedure TForm1.RestoreExecute(Sender: TObject);
begin
  if form1.visible then
  begin
    beenden;
    form1.hide;
    application.Minimize;
    HideTaskbar(sender);
  end
  else
  begin
    form1.show;
    application.Restore;
    application.BringToFront;
    HideTaskbar(sender);
  end;
end;

procedure TForm1.RxTrayIcon1Click(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  RestoreExecute(Sender);
end;

procedure TForm1.Memo1Change(Sender: TObject);
begin
  if length(Memo1.Text)>0 then
    begin
      RxTrayIcon1.Icon:=RxTrayIcon1.Icons[1];
    end
  else
    begin
      RxTrayIcon1.Icon:=RxTrayIcon1.Icons[0];
    end;

end;


procedure TForm1.CloseExecute(Sender: TObject);
begin
  beenden;
  application.terminate;
end;



procedure TForm1.Button3Click(Sender: TObject);
begin
  if memo1.Visible then
  begin
    memo1.Visible:=false;
    memo2.Visible:=true;
    memo2.SetFocus;
  end
  else
  begin
    memo1.Visible:=true;
    memo2.Visible:=false;
    memo1.SetFocus;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  memo2.visible:=false;
  memo1.Visible:=true;
  memo1.seltext:='['+DateTimeToStr(Now)+']';
  memo1.SetFocus
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Memo1.text:='';
  memo1.visible:=true;
  memo1.SetFocus;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  memo1.lines.savetofile(myfilename+FormatDateTime('-yyyy/mm/dd-hh:nn:ss',now)+myext);
  Button4Click(Sender);
end;

end.
